
QGIS Application - Feature request #13775

include Python pip in osgeo4w installer

2015-11-06 04:43 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Build/Install

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 21801

Description

After discussion in Hackfest Las Palmas about using pip for plugins itself OR plugin dependencies, the plan came up to make it easier for

windows/mac users to use pip by adding it in the QGIS installer

combined with maybe showing the dependencies in the plugin metadata, it is a first step to instruct users to install the dependencies via

pip.

in future it then is maybe possible to let QGIS/PluginManager all pip install on that dependencies

but first step would be to make pip available to the end user

History

#1 - 2015-11-06 04:51 AM - Richard Duivenvoorde

- Category changed from C++ Plugins to Build/Install

#2 - 2016-08-18 01:21 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

implemented since 2016-02-28.
